//
//  UpcomingNewCountHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/11/16.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "UpcomingNewCountHttpPostCmd.h"
#import "UpcomingNewCountHttpResult.h"

static NSString *kActionUrl1 = @"/MobileApp/MobileClassifyCount";

@implementation UpcomingNewCountHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[UpcomingNewCountHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[UpcomingNewCountHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
NSString *const kHttpUpcomingNewCountHttpPostCmd_key = @"key";
NSString *const kHttpUpcomingNewCountHttpPostCmd_userCode = @"userCode";
NSString *const kHttpUpcomingNewCountHttpPostCmd_type = @"type";
